import { jestConfig } from './plugin-jest-config';
declare type JestTestEnvironment = Parameters<typeof jestConfig>[0]['jestTestEnvironment'];
interface BuildLibraryOptions {
    readonly targets: string;
    readonly commonjs?: boolean;
    readonly esmodules?: boolean;
    readonly esnext?: boolean;
    readonly binaries?: boolean;
    readonly rootEntrypoints?: boolean;
    readonly jestTestEnvironment?: JestTestEnvironment;
}
export declare function buildLibrary({ targets, commonjs, esmodules, esnext, binaries, rootEntrypoints, jestTestEnvironment, }: BuildLibraryOptions): import("@shopify/loom").ProjectPlugin<import("@shopify/loom").Package>;
export declare function buildLibraryWorkspace(): import("@shopify/loom").WorkspacePlugin;
export {};
//# sourceMappingURL=plugin-build-library.d.ts.map